﻿
@section scripts{
    <script src="~/ADMIN/JS/moment.js"></script>
    <script src="~/ADMIN/JS/moment-jalaali.js"></script>
}
<div class="wrapper-grid">
    <div class="k-rtl">
        @(Html.Kendo().Grid<AffiliateTransaction>()
               .Name("grid")
               .Events(e => e.DataBound("DataBound"))
               .Events(e => e.Edit("Edit"))
               .Columns(columns =>
               {
                   columns.Bound(c => c.Amount);
                   columns.Bound(c => c.Time).Format("{0:yyyy-MM-dd HH:mm:ss}").HtmlAttributes(new { style = "white-space: pre-line;text-align:center;letter-spacing: 2px;font-size: 12px;" }).Title("تاریخ ثبت");
               })

              .ColumnMenu()

              .Pageable(pageable => pageable
                   .Refresh(true)
                   .PageSizes(true)
                   .ButtonCount(10).Messages(m => m.ItemsPerPage("نمایش در هر صفحه"))
                   .PageSizes(new int[] { 10, 20, 30 }))
              .Navigatable()
              .Selectable(selectable =>
              {
                  selectable.Mode(GridSelectionMode.Single);
                  selectable.Type(GridSelectionType.Row);
              })
              .Sortable(sortable =>
              {
                  sortable.SortMode(GridSortMode.SingleColumn);
              })
              .Filterable()
                .Scrollable(s => s.Height("auto").Enabled(false))
              .DataSource(dataSource => dataSource
                  .Ajax()
                  .Sort(sort => sort.Add("AffiliateTransactionID").Descending())
                  .Model(model => model.Id(p => p.AffiliateTransactionID))
                  .Read(read => read.Action("AffiliateTransactions_Read", "AffiliateTransaction"))
              )
        )
    </div>
</div>

<script>
     function DataBound(e) {
        var grid = this;
        grid.tbody.find("tr[role='row']").each(function (index, value) {
            var model = grid.dataItem(this);

            if (model.Price == 0 || model.Price == null) $(this).find("td:nth-child(1)").append("<span style='margin-right:15px;color:green;font-weight:bold;'>رایگان</span>")
            else {
               $(this).find("td:nth-child(1)").append("<i style='color:red;vertical-align:middle;vertical-align:text-bottom;margin-right:15px;' class='material-icons'>attach_money</i>");
            }
            
            grid.tbody.find("tr[role='row']").each(function (index, value) {
                var model = grid.dataItem(this);
                $(this).find('td').each(function (index, value) {
                    if ($(this).text().includes(":") && $(this).text().includes("-")) {
                        var result = moment($(this).text(), 'YYYY-M-D HH:mm:ss')
                            .format('jYYYY/jM/jDD HH:mm:ss')
                        result = result.replace(' ', '\n');
                        $(this).text(result)
                    }
                })
            });
        });

    }
     function Edit(e) {
    
      
        $(e.container["0"].firstChild.children[0]).hide();
        $(e.container["0"].firstChild.children[1]).hide();
      

        var kendoWindow = e.container.data("kendoWindow");
        if (e.model.isNew()) {
            kendoWindow.setOptions({
                title: ""
            });
        } else {
            kendoWindow.setOptions({
                title: "مشاهده جزئیات بیشتر"
            });
        }
      
    }
</script>